Get Connection Schemas - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/ v2.0 /connections /schemas
Try it
Get Connection Schemas
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/connections/schemas \
--header 'X-API-Key: <api-key>'
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/connections/schemas"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/connections/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
200
application/json
Returns an array of Connection schemas.
{
"items": [
{
"_id": "<string>",
"extension": "azure",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
],
"total": 1,
"nextCursor": "<string>",
"previousCursor": "<string>"
}
Example Errors:
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
- X-API-Key
- Type:
string - In:
header - Required: Include your API Key in the HTTP Header.
- Type:
Headers
- Accept
- Type:
enum<string> - Description: The
Acceptheader specifies the media type that the client expects in the response. - Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
- Type:
Query Parameters
projectId
- Type:
string - Description: The unique identifier for the Project.
- Required string length:
24 - Pattern:
^[a-z0-9]{24}$
- Type:
filter
- Type:
string - Description: The type, label, or extension of the Connection Schema to filter the records.
- Type:
limit
- Type:
integer - Description: The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.
- Required range:
1 <= x <= 100
- Type:
skip
- Type:
integer - Description: The number of items to skip before returning the results. Use this parameter with
limitfor offset-based pagination. The default value is 0. - Required range:
x >= 0
- Type:
sort
- Type:
string - Description: The order in which results are returned. Set a sorting rule in the format
field:direction, where direction can beascfor ascending order ordescfor descending order. For example,name:ascsorts by name in ascending order. - Minimum string length:
1
- Type:
next
- Type:
string - Description: The cursor that points to the next page of results. Use the
nextCursorvalue returned in a previous response to request the next set of items. - Required string length:
24
- Type:
previous
- Type:
string - Description: The cursor that points to the previous page of results. Use the
previousCursorvalue returned in a previous response to request the previous set of items. - Required string length:
24
- Type: